petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSComputeRHSFunctionLinear

Evaluate the right hand side via the user-provided Jacobian, for linear problems Udot = A U only

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSComputeRHSFunctionLinear(TS ts,PetscReal t,Vec U,Vec F,void *ctx)

Collective on TS Many br

### Input Arguments

| ts | - time stepping context Many br
| t | - time at which to evaluate Many br
| U | - state at which to evaluate Many br
| ctx | - context Many br

### Output Arguments

F -right hand side Many br

Many br

### Notes

This function is intended to be passed to TSSetRHSFunction() to evaluate the right hand side for linear problems. Many brThe matrix (and optionally the evaluation context) should be passed to TSSetRHSJacobian(). Many br

### See Also

TSSetRHSFunction(), TSSetRHSJacobian(), TSComputeRHSJacobianConstant()

Level:intermediate
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex3.c.html
src/ts/examples/tutorials/ex4.c.html
src/ts/examples/tutorials/ex5.c.html
src/ts/examples/tutorials/ex6.c.html